Bug 96958 - [SKL] Improper rendering in Europa Universalis IV
Summary: [SKL] Improper rendering in Europa Universalis IV
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 12.0
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-07-16 15:42 UTC by Médéric Boquien
Modified: 2017-06-20 20:08 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Example of redenring with artefacts (5.38 MB, image/png)
2016-07-16 15:42 UTC, Médéric Boquien
Details
Seemingly correct software rendering (5.82 MB, image/png)
2016-07-16 15:43 UTC, Médéric Boquien
Details
Worse incorrect rendering with the intel driver when setting maxanisotropy=16 (5.42 MB, image/png)
2016-07-16 15:47 UTC, Médéric Boquien
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Médéric Boquien 2016-07-16 15:42:45 UTC
Created attachment 125105 [details]
Example of redenring with artefacts

Hello,

The Intel driver appears not to render textures properly. The textures look "smoother" and slihgtly blocky, as if they were strongly compressed. When forcing software rendering by setting the LIBGL_ALWAYS_SOFTWARE environment variable, everything appears to be rendered properly.

I am running Mesa 12.0.1 (I selected 11.2 as 12.0 is not available in the form, but note that this has been a long standing issues, not a recent regression).

Here is the game's log when using the intel driver. Comparing it to when using the software rendering, one important difference is that there is no anisotropic rendering. Fiddling a bit in the game's configuration file to increase a parameter called maxanisotropy makes things look even worse.
[gfx_opengl.cpp:3230]: Loading settings for adapter -1, fullscreen=1, multisample=15
[gfx_opengl.cpp:3298]: Checking for multi-sampling support:
[gfx_opengl.cpp:3323]: MaxTextureWidth: 8192
[gfx_opengl.cpp:3324]: MaxTextureHeight: 8192
[graphicssettings.cpp:152]: 	2 samples supported.
[graphicssettings.cpp:152]: 	4 samples supported.
[graphicssettings.cpp:152]: 	8 samples supported.
[graphicssettings.cpp:152]: 	16 samples supported.
[graphicssettings.cpp:184]: Support for Anisotropic filtering found.
[graphicssettings.cpp:187]: 	Max Anisotropic filtering supported: 16
[graphicssettings.cpp:188]: 	Anisotropic filtering set to: 0
[gfx_opengl.cpp:3230]: Loading settings for adapter -1, fullscreen=1, multisample=15
[gfx_opengl.cpp:3298]: Checking for multi-sampling support:
[gfx_opengl.cpp:3323]: MaxTextureWidth: 8192
[gfx_opengl.cpp:3324]: MaxTextureHeight: 8192
[graphicssettings.cpp:152]: 	2 samples supported.
[graphicssettings.cpp:152]: 	4 samples supported.
[graphicssettings.cpp:152]: 	8 samples supported.
[graphicssettings.cpp:152]: 	16 samples supported.
[graphicssettings.cpp:184]: Support for Anisotropic filtering found.
[graphicssettings.cpp:187]: 	Max Anisotropic filtering supported: 16
[graphicssettings.cpp:188]: 	Anisotropic filtering set to: 4
[graphicssettings.cpp:726]: Using multisampling: 4
[graphicssettings.cpp:726]: Using multisampling: 4
[graphics.cpp:811]: Creating device with: HARDWARE_VERTEXPROCESSING
	Fullscreen=no
	Resolution=1000x600
[gfx_opengl.cpp:1033]: 
OpenGL Version: 3.0 Mesa 12.0.1
Supported Extensions:
GL_ARB_multisample
GL_EXT_abgr
GL_EXT_bgra
GL_EXT_blend_color
GL_EXT_blend_minmax
GL_EXT_blend_subtract
GL_EXT_copy_texture
GL_EXT_polygon_offset
GL_EXT_subtexture
GL_EXT_texture_object
GL_EXT_vertex_array
GL_EXT_compiled_vertex_array
GL_EXT_texture
GL_EXT_texture3D
GL_IBM_rasterpos_clip
GL_ARB_point_parameters
GL_EXT_draw_range_elements
GL_EXT_packed_pixels
GL_EXT_point_parameters
GL_EXT_rescale_normal
GL_EXT_separate_specular_color
GL_EXT_texture_edge_clamp
GL_SGIS_generate_mipmap
GL_SGIS_texture_border_clamp
GL_SGIS_texture_edge_clamp
GL_SGIS_texture_lod
GL_ARB_framebuffer_sRGB
GL_ARB_multitexture
GL_EXT_framebuffer_sRGB
GL_IBM_multimode_draw_arrays
GL_IBM_texture_mirrored_repeat
GL_3DFX_texture_compression_FXT1
GL_ARB_texture_cube_map
GL_ARB_texture_env_add
GL_ARB_transpose_matrix
GL_EXT_blend_func_separate
GL_EXT_fog_coord
GL_EXT_multi_draw_arrays
GL_EXT_secondary_color
GL_EXT_texture_env_add
GL_EXT_texture_filter_anisotropic
GL_EXT_texture_lod_bias
GL_INGR_blend_func_separate
GL_NV_blend_square
GL_NV_light_max_exponent
GL_NV_texgen_reflection
GL_NV_texture_env_combine4
GL_S3_s3tc
GL_SUN_multi_draw_arrays
GL_ARB_texture_border_clamp
GL_ARB_texture_compression
GL_EXT_framebuffer_object
GL_EXT_texture_compression_s3tc
GL_EXT_texture_env_combine
GL_EXT_texture_env_dot3
GL_MESA_window_pos
GL_NV_packed_depth_stencil
GL_NV_texture_rectangle
GL_ARB_depth_texture
GL_ARB_occlusion_query
GL_ARB_shadow
GL_ARB_texture_env_combine
GL_ARB_texture_env_crossbar
GL_ARB_texture_env_dot3
GL_ARB_texture_mirrored_repeat
GL_ARB_window_pos
GL_EXT_stencil_two_side
GL_EXT_texture_cube_map
GL_NV_depth_clamp
GL_APPLE_packed_pixels
GL_APPLE_vertex_array_object
GL_ARB_draw_buffers
GL_ARB_fragment_program
GL_ARB_fragment_shader
GL_ARB_shader_objects
GL_ARB_vertex_program
GL_ARB_vertex_shader
GL_ATI_draw_buffers
GL_ATI_texture_env_combine3
GL_ATI_texture_float
GL_EXT_shadow_funcs
GL_EXT_stencil_wrap
GL_MESA_pack_invert
GL_NV_primitive_restart
GL_ARB_depth_clamp
GL_ARB_fragment_program_shadow
GL_ARB_half_float_pixel
GL_ARB_occlusion_query2
GL_ARB_point_sprite
GL_ARB_shading_language_100
GL_ARB_sync
GL_ARB_texture_non_power_of_two
GL_ARB_vertex_buffer_object
GL_ATI_blend_equation_separate
GL_EXT_blend_equation_separate
GL_OES_read_format
GL_ARB_color_buffer_float
GL_ARB_pixel_buffer_object
GL_ARB_texture_compression_rgtc
GL_ARB_texture_float
GL_ARB_texture_rectangle
GL_EXT_packed_float
GL_EXT_pixel_buffer_object
GL_EXT_texture_compression_dxt1
GL_EXT_texture_compression_rgtc
GL_EXT_texture_rectangle
GL_EXT_texture_sRGB
GL_EXT_texture_shared_exponent
GL_ARB_framebuffer_object
GL_EXT_framebuffer_blit
GL_EXT_framebuffer_multisample
GL_EXT_packed_depth_stencil
GL_APPLE_object_purgeable
GL_ARB_vertex_array_object
GL_ATI_separate_stencil
GL_EXT_draw_buffers2
GL_EXT_draw_instanced
GL_EXT_gpu_program_parameters
GL_EXT_texture_array
GL_EXT_texture_integer
GL_EXT_texture_sRGB_decode
GL_EXT_timer_query
GL_OES_EGL_image
GL_ARB_copy_buffer
GL_ARB_depth_buffer_float
GL_ARB_draw_instanced
GL_ARB_half_float_vertex
GL_ARB_instanced_arrays
GL_ARB_map_buffer_range
GL_ARB_texture_rg
GL_ARB_texture_swizzle
GL_ARB_vertex_array_bgra
GL_EXT_texture_swizzle
GL_EXT_vertex_array_bgra
GL_NV_conditional_render
GL_AMD_conservative_depth
GL_AMD_draw_buffers_blend
GL_AMD_seamless_cubemap_per_texture
GL_AMD_shader_stencil_export
GL_ARB_ES2_compatibility
GL_ARB_blend_func_extended
GL_ARB_debug_output
GL_ARB_draw_buffers_blend
GL_ARB_draw_elements_base_vertex
GL_ARB_explicit_attrib_location
GL_ARB_fragment_coord_conventions
GL_ARB_provoking_vertex
GL_ARB_sample_shading
GL_ARB_sampler_objects
GL_ARB_seamless_cube_map
GL_ARB_shader_stencil_export
GL_ARB_shader_texture_lod
GL_ARB_texture_cube_map_array
GL_ARB_texture_gather
GL_ARB_texture_multisample
GL_ARB_texture_query_lod
GL_ARB_texture_rgb10_a2ui
GL_ARB_uniform_buffer_object
GL_ARB_vertex_type_2_10_10_10_rev
GL_EXT_provoking_vertex
GL_EXT_texture_snorm
GL_MESA_texture_signed_rgba
GL_NV_texture_barrier
GL_ARB_get_program_binary
GL_ARB_robustness
GL_ARB_separate_shader_objects
GL_ARB_shader_bit_encoding
GL_ARB_shader_precision
GL_ARB_texture_compression_bptc
GL_ARB_timer_query
GL_ARB_transform_feedback2
GL_ARB_transform_feedback3
GL_ANGLE_texture_compression_dxt3
GL_ANGLE_texture_compression_dxt5
GL_ARB_compressed_texture_pixel_storage
GL_ARB_conservative_depth
GL_ARB_internalformat_query
GL_ARB_map_buffer_alignment
GL_ARB_shader_atomic_counters
GL_ARB_shader_image_load_store
GL_ARB_shading_language_420pack
GL_ARB_shading_language_packing
GL_ARB_texture_storage
GL_ARB_transform_feedback_instanced
GL_EXT_framebuffer_multisample_blit_scaled
GL_EXT_transform_feedback
GL_AMD_shader_trinary_minmax
GL_ARB_ES3_compatibility
GL_ARB_arrays_of_arrays
GL_ARB_clear_buffer_object
GL_ARB_compute_shader
GL_ARB_copy_image
GL_ARB_explicit_uniform_location
GL_ARB_framebuffer_no_attachments
GL_ARB_invalidate_subdata
GL_ARB_program_interface_query
GL_ARB_robust_buffer_access_behavior
GL_ARB_shader_image_size
GL_ARB_shader_storage_buffer_object
GL_ARB_stencil_texturing
GL_ARB_texture_query_levels
GL_ARB_texture_storage_multisample
GL_ARB_texture_view
GL_ARB_vertex_attrib_binding
GL_KHR_debug
GL_KHR_robustness
GL_KHR_texture_compression_astc_ldr
GL_ARB_buffer_storage
GL_ARB_clear_texture
GL_ARB_internalformat_query2
GL_ARB_multi_bind
GL_ARB_query_buffer_object
GL_ARB_seamless_cubemap_per_texture
GL_ARB_shader_draw_parameters
GL_ARB_texture_mirror_clamp_to_edge
GL_ARB_texture_stencil8
GL_ARB_vertex_type_10f_11f_11f_rev
GL_EXT_shader_integer_mix
GL_ARB_clip_control
GL_ARB_conditional_render_inverted
GL_ARB_cull_distance
GL_ARB_derivative_control
GL_ARB_get_texture_sub_image
GL_ARB_pipeline_statistics_query
GL_ARB_shader_texture_image_samples
GL_ARB_texture_barrier
GL_EXT_polygon_offset_clamp
GL_KHR_context_flush_control
GL_KHR_robust_buffer_access_behavior
GL_ARB_shader_clock
GL_EXT_shader_samples_identical

[graphicssettings.cpp:695]: Usable res: 2560 1440 59
[graphicssettings.cpp:695]: Usable res: 2048 1152 60
[graphicssettings.cpp:695]: Usable res: 1920 1200 59
[graphicssettings.cpp:695]: Usable res: 1920 1080 60
[graphicssettings.cpp:695]: Usable res: 1920 1080 59
[graphicssettings.cpp:695]: Usable res: 1920 1080 50
[graphicssettings.cpp:695]: Usable res: 1920 1080 30
[graphicssettings.cpp:695]: Usable res: 1920 1080 29
[graphicssettings.cpp:695]: Usable res: 1920 1080 25
[graphicssettings.cpp:695]: Usable res: 1920 1080 24
[graphicssettings.cpp:695]: Usable res: 1920 1080 23
[graphicssettings.cpp:695]: Usable res: 1680 1050 59
[graphicssettings.cpp:695]: Usable res: 1600 1200 60
[graphicssettings.cpp:695]: Usable res: 1280 1024 75
[graphicssettings.cpp:695]: Usable res: 1280 1024 60
[graphicssettings.cpp:695]: Usable res: 1280 720 60
[graphicssettings.cpp:695]: Usable res: 1280 720 59
[graphicssettings.cpp:695]: Usable res: 1280 720 50
[graphicssettings.cpp:695]: Usable res: 1200 960 59
[graphicssettings.cpp:695]: Usable res: 1152 864 75
[graphicssettings.cpp:695]: Usable res: 1024 768 75
[graphicssettings.cpp:695]: Usable res: 1024 768 60
[graphicssettings.cpp:695]: Usable res: 800 600 75
[graphicssettings.cpp:695]: Usable res: 800 600 60
[graphicssettings.cpp:695]: Usable res: 720 576 50
[graphicssettings.cpp:695]: Usable res: 720 480 60
[graphicssettings.cpp:695]: Usable res: 720 480 59
[graphicssettings.cpp:695]: Usable res: 720 400 70
[graphicssettings.cpp:695]: Usable res: 640 480 75
[graphicssettings.cpp:695]: Usable res: 640 480 60
[graphicssettings.cpp:695]: Usable res: 640 480 59
[graphics.cpp:844]: Done creating device.
[graphicssettings.cpp:695]: Usable res: 2560 1440 59
[graphicssettings.cpp:695]: Usable res: 2048 1152 60
[graphicssettings.cpp:695]: Usable res: 1920 1200 59
[graphicssettings.cpp:695]: Usable res: 1920 1080 60
[graphicssettings.cpp:695]: Usable res: 1920 1080 59
[graphicssettings.cpp:695]: Usable res: 1920 1080 50
[graphicssettings.cpp:695]: Usable res: 1920 1080 30
[graphicssettings.cpp:695]: Usable res: 1920 1080 29
[graphicssettings.cpp:695]: Usable res: 1920 1080 25
[graphicssettings.cpp:695]: Usable res: 1920 1080 24
[graphicssettings.cpp:695]: Usable res: 1920 1080 23
[graphicssettings.cpp:695]: Usable res: 1680 1050 59
[graphicssettings.cpp:695]: Usable res: 1600 1200 60
[graphicssettings.cpp:695]: Usable res: 1280 1024 75
[graphicssettings.cpp:695]: Usable res: 1280 1024 60
[graphicssettings.cpp:695]: Usable res: 1280 720 60
[graphicssettings.cpp:695]: Usable res: 1280 720 59
[graphicssettings.cpp:695]: Usable res: 1280 720 50
[graphicssettings.cpp:695]: Usable res: 1200 960 59
[graphicssettings.cpp:695]: Usable res: 1152 864 75
[graphicssettings.cpp:695]: Usable res: 1024 768 75
[graphicssettings.cpp:695]: Usable res: 1024 768 60
[graphicssettings.cpp:695]: Usable res: 800 600 75
[graphicssettings.cpp:695]: Usable res: 800 600 60
[graphicssettings.cpp:695]: Usable res: 720 576 50
[graphicssettings.cpp:695]: Usable res: 720 480 60
[graphicssettings.cpp:695]: Usable res: 720 480 59
[graphicssettings.cpp:695]: Usable res: 720 400 70
[graphicssettings.cpp:695]: Usable res: 640 480 75
[graphicssettings.cpp:695]: Usable res: 640 480 60
[graphicssettings.cpp:695]: Usable res: 640 480 59
[main.cpp:1322]: EU4 Version Jun  3 2016 : 15:25:35
[main.cpp:1331]: Creating application...
[graphicssettings.cpp:736]: Not using multisampling.
[main.cpp:1385]: Initializing application...
[eu4application.cpp:410]: Initializing application...
[eu4application.cpp:412]: Done initializing application
[eu4application.cpp:417]: Loading cursor...
[eu4application.cpp:488]: Done loading cursor
[eu4application.cpp:490]: Initializing sound...
[eu4application.cpp:506]: Done initializing sound
[eu4application.cpp:508]: Initializing graphics...
[graphicssettings.cpp:736]: Not using multisampling.
[graphics.cpp:811]: Creating device with: HARDWARE_VERTEXPROCESSING
	Fullscreen=yes
	RefreshRate=59
	Resolution=2560x1440
[gfx_opengl.cpp:1033]: 
OpenGL Version: 3.0 Mesa 12.0.1
Supported Extensions:
GL_ARB_multisample
GL_EXT_abgr
GL_EXT_bgra
GL_EXT_blend_color
GL_EXT_blend_minmax
GL_EXT_blend_subtract
GL_EXT_copy_texture
GL_EXT_polygon_offset
GL_EXT_subtexture
GL_EXT_texture_object
GL_EXT_vertex_array
GL_EXT_compiled_vertex_array
GL_EXT_texture
GL_EXT_texture3D
GL_IBM_rasterpos_clip
GL_ARB_point_parameters
GL_EXT_draw_range_elements
GL_EXT_packed_pixels
GL_EXT_point_parameters
GL_EXT_rescale_normal
GL_EXT_separate_specular_color
GL_EXT_texture_edge_clamp
GL_SGIS_generate_mipmap
GL_SGIS_texture_border_clamp
GL_SGIS_texture_edge_clamp
GL_SGIS_texture_lod
GL_ARB_framebuffer_sRGB
GL_ARB_multitexture
GL_EXT_framebuffer_sRGB
GL_IBM_multimode_draw_arrays
GL_IBM_texture_mirrored_repeat
GL_3DFX_texture_compression_FXT1
GL_ARB_texture_cube_map
GL_ARB_texture_env_add
GL_ARB_transpose_matrix
GL_EXT_blend_func_separate
GL_EXT_fog_coord
GL_EXT_multi_draw_arrays
GL_EXT_secondary_color
GL_EXT_texture_env_add
GL_EXT_texture_filter_anisotropic
GL_EXT_texture_lod_bias
GL_INGR_blend_func_separate
GL_NV_blend_square
GL_NV_light_max_exponent
GL_NV_texgen_reflection
GL_NV_texture_env_combine4
GL_S3_s3tc
GL_SUN_multi_draw_arrays
GL_ARB_texture_border_clamp
GL_ARB_texture_compression
GL_EXT_framebuffer_object
GL_EXT_texture_compression_s3tc
GL_EXT_texture_env_combine
GL_EXT_texture_env_dot3
GL_MESA_window_pos
GL_NV_packed_depth_stencil
GL_NV_texture_rectangle
GL_ARB_depth_texture
GL_ARB_occlusion_query
GL_ARB_shadow
GL_ARB_texture_env_combine
GL_ARB_texture_env_crossbar
GL_ARB_texture_env_dot3
GL_ARB_texture_mirrored_repeat
GL_ARB_window_pos
GL_EXT_stencil_two_side
GL_EXT_texture_cube_map
GL_NV_depth_clamp
GL_APPLE_packed_pixels
GL_APPLE_vertex_array_object
GL_ARB_draw_buffers
GL_ARB_fragment_program
GL_ARB_fragment_shader
GL_ARB_shader_objects
GL_ARB_vertex_program
GL_ARB_vertex_shader
GL_ATI_draw_buffers
GL_ATI_texture_env_combine3
GL_ATI_texture_float
GL_EXT_shadow_funcs
GL_EXT_stencil_wrap
GL_MESA_pack_invert
GL_NV_primitive_restart
GL_ARB_depth_clamp
GL_ARB_fragment_program_shadow
GL_ARB_half_float_pixel
GL_ARB_occlusion_query2
GL_ARB_point_sprite
GL_ARB_shading_language_100
GL_ARB_sync
GL_ARB_texture_non_power_of_two
GL_ARB_vertex_buffer_object
GL_ATI_blend_equation_separate
GL_EXT_blend_equation_separate
GL_OES_read_format
GL_ARB_color_buffer_float
GL_ARB_pixel_buffer_object
GL_ARB_texture_compression_rgtc
GL_ARB_texture_float
GL_ARB_texture_rectangle
GL_EXT_packed_float
GL_EXT_pixel_buffer_object
GL_EXT_texture_compression_dxt1
GL_EXT_texture_compression_rgtc
GL_EXT_texture_rectangle
GL_EXT_texture_sRGB
GL_EXT_texture_shared_exponent
GL_ARB_framebuffer_object
GL_EXT_framebuffer_blit
GL_EXT_framebuffer_multisample
GL_EXT_packed_depth_stencil
GL_APPLE_object_purgeable
GL_ARB_vertex_array_object
GL_ATI_separate_stencil
GL_EXT_draw_buffers2
GL_EXT_draw_instanced
GL_EXT_gpu_program_parameters
GL_EXT_texture_array
GL_EXT_texture_integer
GL_EXT_texture_sRGB_decode
GL_EXT_timer_query
GL_OES_EGL_image
GL_ARB_copy_buffer
GL_ARB_depth_buffer_float
GL_ARB_draw_instanced
GL_ARB_half_float_vertex
GL_ARB_instanced_arrays
GL_ARB_map_buffer_range
GL_ARB_texture_rg
GL_ARB_texture_swizzle
GL_ARB_vertex_array_bgra
GL_EXT_texture_swizzle
GL_EXT_vertex_array_bgra
GL_NV_conditional_render
GL_AMD_conservative_depth
GL_AMD_draw_buffers_blend
GL_AMD_seamless_cubemap_per_texture
GL_AMD_shader_stencil_export
GL_ARB_ES2_compatibility
GL_ARB_blend_func_extended
GL_ARB_debug_output
GL_ARB_draw_buffers_blend
GL_ARB_draw_elements_base_vertex
GL_ARB_explicit_attrib_location
GL_ARB_fragment_coord_conventions
GL_ARB_provoking_vertex
GL_ARB_sample_shading
GL_ARB_sampler_objects
GL_ARB_seamless_cube_map
GL_ARB_shader_stencil_export
GL_ARB_shader_texture_lod
GL_ARB_texture_cube_map_array
GL_ARB_texture_gather
GL_ARB_texture_multisample
GL_ARB_texture_query_lod
GL_ARB_texture_rgb10_a2ui
GL_ARB_uniform_buffer_object
GL_ARB_vertex_type_2_10_10_10_rev
GL_EXT_provoking_vertex
GL_EXT_texture_snorm
GL_MESA_texture_signed_rgba
GL_NV_texture_barrier
GL_ARB_get_program_binary
GL_ARB_robustness
GL_ARB_separate_shader_objects
GL_ARB_shader_bit_encoding
GL_ARB_shader_precision
GL_ARB_texture_compression_bptc
GL_ARB_timer_query
GL_ARB_transform_feedback2
GL_ARB_transform_feedback3
GL_ANGLE_texture_compression_dxt3
GL_ANGLE_texture_compression_dxt5
GL_ARB_compressed_texture_pixel_storage
GL_ARB_conservative_depth
GL_ARB_internalformat_query
GL_ARB_map_buffer_alignment
GL_ARB_shader_atomic_counters
GL_ARB_shader_image_load_store
GL_ARB_shading_language_420pack
GL_ARB_shading_language_packing
GL_ARB_texture_storage
GL_ARB_transform_feedback_instanced
GL_EXT_framebuffer_multisample_blit_scaled
GL_EXT_transform_feedback
GL_AMD_shader_trinary_minmax
GL_ARB_ES3_compatibility
GL_ARB_arrays_of_arrays
GL_ARB_clear_buffer_object
GL_ARB_compute_shader
GL_ARB_copy_image
GL_ARB_explicit_uniform_location
GL_ARB_framebuffer_no_attachments
GL_ARB_invalidate_subdata
GL_ARB_program_interface_query
GL_ARB_robust_buffer_access_behavior
GL_ARB_shader_image_size
GL_ARB_shader_storage_buffer_object
GL_ARB_stencil_texturing
GL_ARB_texture_query_levels
GL_ARB_texture_storage_multisample
GL_ARB_texture_view
GL_ARB_vertex_attrib_binding
GL_KHR_debug
GL_KHR_robustness
GL_KHR_texture_compression_astc_ldr
GL_ARB_buffer_storage
GL_ARB_clear_texture
GL_ARB_internalformat_query2
GL_ARB_multi_bind
GL_ARB_query_buffer_object
GL_ARB_seamless_cubemap_per_texture
GL_ARB_shader_draw_parameters
GL_ARB_texture_mirror_clamp_to_edge
GL_ARB_texture_stencil8
GL_ARB_vertex_type_10f_11f_11f_rev
GL_EXT_shader_integer_mix
GL_ARB_clip_control
GL_ARB_conditional_render_inverted
GL_ARB_cull_distance
GL_ARB_derivative_control
GL_ARB_get_texture_sub_image
GL_ARB_pipeline_statistics_query
GL_ARB_shader_texture_image_samples
GL_ARB_texture_barrier
GL_EXT_polygon_offset_clamp
GL_KHR_context_flush_control
GL_KHR_robust_buffer_access_behavior
GL_ARB_shader_clock
GL_EXT_shader_samples_identical

[graphicssettings.cpp:695]: Usable res: 2560 1440 59
[graphicssettings.cpp:695]: Usable res: 2048 1152 60
[graphicssettings.cpp:695]: Usable res: 1920 1200 59
[graphicssettings.cpp:695]: Usable res: 1920 1080 60
[graphicssettings.cpp:695]: Usable res: 1920 1080 59
[graphicssettings.cpp:695]: Usable res: 1920 1080 50
[graphicssettings.cpp:695]: Usable res: 1920 1080 30
[graphicssettings.cpp:695]: Usable res: 1920 1080 29
[graphicssettings.cpp:695]: Usable res: 1920 1080 25
[graphicssettings.cpp:695]: Usable res: 1920 1080 24
[graphicssettings.cpp:695]: Usable res: 1920 1080 23
[graphicssettings.cpp:695]: Usable res: 1680 1050 59
[graphicssettings.cpp:695]: Usable res: 1600 1200 60
[graphicssettings.cpp:695]: Usable res: 1280 1024 75
[graphicssettings.cpp:695]: Usable res: 1280 1024 60
[graphicssettings.cpp:695]: Usable res: 1280 720 60
[graphicssettings.cpp:695]: Usable res: 1280 720 59
[graphicssettings.cpp:695]: Usable res: 1280 720 50
[graphicssettings.cpp:695]: Usable res: 1200 960 59
[graphicssettings.cpp:695]: Usable res: 1152 864 75
[graphicssettings.cpp:695]: Usable res: 1024 768 75
[graphicssettings.cpp:695]: Usable res: 1024 768 60
[graphicssettings.cpp:695]: Usable res: 800 600 75
[graphicssettings.cpp:695]: Usable res: 800 600 60
[graphicssettings.cpp:695]: Usable res: 720 576 50
[graphicssettings.cpp:695]: Usable res: 720 480 60
[graphicssettings.cpp:695]: Usable res: 720 480 59
[graphicssettings.cpp:695]: Usable res: 720 400 70
[graphicssettings.cpp:695]: Usable res: 640 480 75
[graphicssettings.cpp:695]: Usable res: 640 480 60
[graphicssettings.cpp:695]: Usable res: 640 480 59
[graphics.cpp:844]: Done creating device.
[eu4application.cpp:584]: Done initializing graphics
[main.cpp:1425]: Running application...

Let me know what more I can provide.
Comment 1 Médéric Boquien 2016-07-16 15:43:58 UTC
Created attachment 125106 [details]
Seemingly correct software rendering
Comment 2 Médéric Boquien 2016-07-16 15:47:06 UTC
Created attachment 125107 [details]
Worse incorrect rendering with the intel driver when setting maxanisotropy=16
Comment 3 Médéric Boquien 2016-07-16 15:53:39 UTC
Another bit of information I should have provided, I am using a core i7 6700K.

Extended renderer info (GLX_MESA_query_renderer):
    Vendor: Intel Open Source Technology Center (0x8086)
    Device: Mesa DRI Intel(R) HD Graphics 530 (Skylake GT2)  (0x1912)
    Version: 12.0.1
    Accelerated: yes
    Video memory: 3072MB
    Unified memory: yes
    Preferred profile: core (0x1)
    Max core profile version: 4.3
    Max compat profile version: 3.0
    Max GLES1 profile version: 1.1
    Max GLES[23] profile version: 3.1
Comment 4 Jakub Szuppe 2017-04-10 12:12:37 UTC
The issue still occurs on recent mesa version from git. We will be working on this issue at StreamComputing.
Comment 5 Jakub Szuppe 2017-06-08 09:06:09 UTC
There are two different bugs/issues here:

1) Artefacts looking like stretched textures (for example, between mountains and plains)
2) Low detail of the terrain

1) Artefacts looking like stretched textures (for example, between mountains and plains):
https://drive.google.com/open?id=0B1fY17pW39ZecW5DeWhnaGtrNHc

These artefacts are visible only when anisotropic filtering is turned on (for example, maxanisotropy=4 in ~/.local/share/Paradox Interactive/Europa Universalis IV/settings.txt).

The reason is the same as in "95530 - Stellaris - colored overlay of sectors doesn't render on i965" (see https://bugs.freedesktop.org/show_bug.cgi?id=95530#c11): The shader needs exact (unfiltered) values from a special texture with terrain type ids. But i965 driver disables GL_NEAREST filtering (and enables anisotropic) when GL_TEXTURE_MAX_ANISOTROPY_EXT > 1.

The patch https://bugs.freedesktop.org/attachment.cgi?id=123400 fixes this:
https://drive.google.com/open?id=0B1fY17pW39Zea1JfN09wa24xVEU

It also improves UI rendering slightly, because it uses GL_NEAREST too.

2) Low detail of the terrain

First, we used a trace created using i965 driver (the "ugly" trace). This trace works same for i965, radeonsi, llvmpipe: low details, artefacts between tiles (vertical and horizontal lines).

Then we used the trace created using radeonsi (the "good" trace) and noticed that it works same for i965, radeonsi, llvmpipe: high details, bump-mapping, no artefacts.

Th only difference between "good" and "ugly" traces is in shaders code:

The "ugly" has: #define NO_SHADER_TEXTURE_LOD (texture2D is used in this case)
The "good" has: #extension GL_ARB_shader_texture_lod : enable (texture2DLod is used)

For some reason the game does not enable texture_lod extension for Intel driver. But GL_ARB_shader_texture_lod is supported by the i965  driver!

We "hacked" gfx/FX/defines_glsl.fxh by adding these code:

#undef NO_SHADER_TEXTURE_LOD
#extension GL_ARB_shader_texture_lod : enable

This forces the shader to use the "good" variant. Everything looks ok (high details, bump-mapping, no artefacts):
https://drive.google.com/open?id=0B1fY17pW39ZeRWJlbWlXbXpyZFU

Perhaps the game developers encountered some issues with Intel drivers before or there are issues in some other places of the game (but I can't see them).

Kind regards,
Stream HPC Team
https://streamhpc.com/
Comment 6 Dylan Baker 2017-06-16 20:48:01 UTC
I have verified the patch above and sent it to the list:
https://patchwork.freedesktop.org/patch/162171/
Comment 7 Dylan Baker 2017-06-20 20:08:32 UTC
fixed by 6a7c5257cac23cd9767aa4bc8fdab68925b11157


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.